libmpv1-0.29.1-170.1.x86_64.rpm


Advertisement

Description

libmpv1 - A library to link together with mpv player

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Apps all
Package filename libmpv1-0.29.1-170.1.x86_64.rpm
Package name libmpv1
Package version 0.29.1
Package release 170.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://mpv.io/
License GPL-2.0-or-later
Maintainer -
Download size 775.89 KB
Installed size 1.90 MB
mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types.
This package contains a library that can other apps use to utilize the mpv
features.

Alternatives

Package Version Architecture Repository
libmpv1-0.29.1-179.26.i586.rpm 0.29.1 i586 Multimedia Apps
libmpv1-0.29.1-28.5.i586.rpm 0.29.1 i586 openSUSE Oss
libmpv1-0.29.1-28.5.x86_64.rpm 0.29.1 x86_64 openSUSE Oss
libmpv1 - - -

Requires

Name Value
/sbin/ldconfig -
libEGL.so.1()(64bit) -
libGL.so.1()(64bit) -
libX11.so.6()(64bit) -
libXext.so.6()(64bit) -
libXinerama.so.1()(64bit) -
libXrandr.so.2()(64bit) -
libXss.so.1()(64bit) -
libXv.so.1()(64bit) -
libarchive.so.13()(64bit) -
libasound.so.2()(64bit) -
libasound.so.2(ALSA_0.9)(64bit) -
libasound.so.2(ALSA_0.9.0rc4)(64bit) -
libasound.so.2(ALSA_0.9.0rc8)(64bit) -
libass.so.9()(64bit) -
libavcodec.so.58()(64bit) -
libavcodec.so.58(LIBAVCODEC_58)(64bit) -
libavdevice.so.58()(64bit) -
libavdevice.so.58(LIBAVDEVICE_58)(64bit) -
libavfilter.so.7()(64bit) -
libavfilter.so.7(LIBAVFILTER_7)(64bit) -
libavformat.so.58()(64bit) -
libavformat.so.58(LIBAVFORMAT_58)(64bit) -
libavutil.so.56()(64bit) -
libavutil.so.56(LIBAVUTIL_56)(64bit) -
libbluray.so.2()(64bit) -
libc.so.6(GLIBC_2.27)(64bit) -
libcaca.so.0()(64bit) -
libcdio.so.18()(64bit) -
libcdio.so.18(CDIO_18)(64bit) -
libcdio_cdda.so.2()(64bit) -
libcdio_cdda.so.2(CDIO_CDDA_2)(64bit) -
libcdio_paranoia.so.2()(64bit) -
libcdio_paranoia.so.2(CDIO_PARANOIA_2)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libdrm.so.2()(64bit) -
libdvdnav.so.4()(64bit) -
libdvdread.so.4()(64bit) -
libgbm.so.1()(64bit) -
libjack.so.0()(64bit) -
libjpeg.so.8()(64bit) -
libjpeg.so.8(LIBJPEG_8.0)(64bit) -
liblcms2.so.2()(64bit) -
liblua5.1.so.5()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libm.so.6(GLIBC_2.27)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.12)(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libpulse.so.0()(64bit) -
libpulse.so.0(PULSE_0)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
librubberband.so.2()(64bit) -
libsmbclient.so.0()(64bit) -
libsmbclient.so.0(SMBCLIENT_0.1.0)(64bit) -
libswresample.so.3()(64bit) -
libswresample.so.3(LIBSWRESAMPLE_3)(64bit) -
libswscale.so.5()(64bit) -
libswscale.so.5(LIBSWSCALE_5)(64bit) -
libuchardet.so.0()(64bit) -
libva-drm.so.2()(64bit) -
libva-wayland.so.2()(64bit) -
libva-x11.so.2()(64bit) -
libva.so.2()(64bit) -
libva.so.2(VA_API_0.33.0)(64bit) -
libvapoursynth-43.so()(64bit) -
libvapoursynth-script.so.0()(64bit) -
libvdpau.so.1()(64bit) -
libwayland-client.so.0()(64bit) -
libwayland-cursor.so.0()(64bit) -
libwayland-egl.so.1()(64bit) -
libxkbcommon.so.0()(64bit) -
libxkbcommon.so.0(V_0.5.0)(64bit) -
libz.so.1()(64bit) -

Provides

Name Value
libmpv.so.1()(64bit) -
libmpv1 = 0.29.1-170.1
libmpv1(x86-64) = 0.29.1-170.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libmpv1-0.29.1-170.1.x86_64.rpm
Source Package mpv-0.29.1-170.1.src.rpm

Install Howto

  1. Add the Multimedia Apps repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/apps/openSUSE_Tumbleweed/ multimedia-apps
  2. Install libmpv1 rpm package:
    # zypper install libmpv1

Files

Path
/usr/lib64/libmpv.so.1
/usr/lib64/libmpv.so.1.101.0

Changelog

2018-10-02 - Martin Herkt <9+suse@cirno.systems>
- Update to version 0.29.1
Fixes and minor enhancements:
* af_rubberband: Fix for A-V drift on seeking.
* ao_alsa: Fixes to remove spam during pausing and end-of-file.
* ao_jack: Fix for mpv attempting to connect to non-standard devices such as MIDI.
* ao_openal: Drop support for Apple's bundled OpenAL due to lack of features to successfully build.
* ao_pulse: Fix for audio buffer length calculation.
* demux_lavf: Fix EDL playback of certain DASH streams.
* demux_lavf: Mark v4l streams as not seekable.
* demux_raw: Fix for gapless playback from raw audio input.
* drm_atomic: Fix to enable video output with devices without a video overlay plane.
* encode: Fix for crashes in case of failure to write to output.
* encode: Fix for encoding when utilizing lavfi-complex.
* Fix to strip HDR peak metadata if attached to SDR video (#6111)
* manpage: Misc fixups.
* stream_{smb,file}: Fix for partial writes to buffers.
* stream_libarchive: Fix hang when an out-of-bound seek happens.
* stream_smb: Fix for crashes due to libsmbclient and threading (#5936).
* vo_gpu: Fix for corruption when multiple compute shaders override each others' block sizes (#6083).
* ytdl_hook: Always load "ytdl://" URLs with ytdl_hook first.
* ytdl_hook: Fix audio streams not being picked up for some sites.

See Also

Package Description
libplayerctl-1_0-0-0.5.0-6.13.x86_64.rpm A library for controlling media players over D-Bus
libplayerctl2-2.0.1-9.5.i586.rpm A library for controlling media players over D-Bus
libprojectM-libvisual-2.1.0-37.21.x86_64.rpm Libvisual Collaboration for ProjectM
libprojectM-libvisual-qt5-2.1.0-37.26.x86_64.rpm Libvisual Collaboration for ProjectM-qt5
libprojectM-qt-qt5-1-2.1.0-37.26.x86_64.rpm Qt Run-time Libraries for ProjectM-qt5
libprojectM-qt1-2.1.0-37.21.x86_64.rpm Qt Run-time Libraries for ProjectM
libprojectM-qt5-2-2.1.0-37.26.x86_64.rpm Run-time Libraries for ProjectM-qt5
libprojectM2-2.1.0-37.21.x86_64.rpm Run-time Libraries for ProjectM
libprojectM3-3.1.0-41.23.i586.rpm Run-time library for projectM
libqmmp-devel-1.2.4-126.6.x86_64.rpm Development files for libqmmp
libqmmp-devel-1.3.1-137.6.i586.rpm Development files for libqmmp
libqmmp-plugins-1.2.4-126.6.x86_64.rpm Plugins for libqmmp
libqmmp-plugins-1.3.1-137.6.i586.rpm Plugins for libqmmp
libqmmp1-1.2.4-126.6.x86_64.rpm Qmmp library
libqmmp1-1.3.1-137.6.i586.rpm Qmmp library
Advertisement
Advertisement